## org.apache.mahout.fpm.pfpgrowth
Class TransactionSortingReducer

    java.lang.Object
      org.apache.hadoop.mapreduce.Reducer<org.apache.hadoop.io.LongWritable,TransactionTree,org.apache.hadoop.io.LongWritable,TransactionTree>
          org.apache.mahout.fpm.pfpgrowth.TransactionSortingReducer

    public class TransactionSortingReducer

extends org.apache.hadoop.mapreduce.Reducer<org.apache.hadoop.io.LongWritable,TransactionTree,org.apache.hadoop.io.LongWritable,TransactionTree>

takes each group of transactions and runs Vanilla FPGrowth on it and outputs the the Top K frequent Patterns for each group.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Reducer
`org.apache.hadoop.mapreduce.Reducer.Context`

Constructor Summary
`TransactionSortingReducer()`

Method Summary
`protected void` `reduce(org.apache.hadoop.io.LongWritable key, java.lang.Iterable<TransactionTree> values, org.apache.hadoop.mapreduce.Reducer.Context context)`

Methods inherited from class org.apache.hadoop.mapreduce.Reducer
`cleanup, run, setup`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransactionSortingReducer

    public TransactionSortingReducer()

Method Detail

### reduce

    protected void reduce(org.apache.hadoop.io.LongWritable key,
                          java.lang.Iterable<TransactionTree> values,
                          org.apache.hadoop.mapreduce.Reducer.Context context)
                   throws java.io.IOException,
                          java.lang.InterruptedException

  Overrides:
    `reduce` in class `org.apache.hadoop.mapreduce.Reducer<org.apache.hadoop.io.LongWritable,TransactionTree,org.apache.hadoop.io.LongWritable,TransactionTree>`
  Throws:
    `java.io.IOException`
    `java.lang.InterruptedException`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.